%global srcname pwntools

Name:           python-%{srcname}
Version:        3.12.1
Release:        1%{?dist}
Summary:        A CTF framework and exploit development library

# Source contains four LICENSE*.txt files which explain the licenses which cover
# pwntools.
License:        MIT and BSD and GPLv2
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
# Adjust for Fedora Python module which provides CString.
Patch0:         pwntools-3.12.0-construct.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-sphinx

%description
Pwntools is a CTF framework and exploit development library. Written
in Python, it is designed for rapid prototyping and development, and
intended to make exploit writing as simple as possible.

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:       python2-paramiko
Requires:       python2-mako
Requires:       python2-pyelftools
Requires:       python2-capstone
Requires:       python2-ROPGadget
Requires:       python2-pyserial
Requires:       python2-requests
Requires:       python2-pip
Requires:       python2-pygments
Requires:       python2-pysocks
Requires:       python2-dateutil
Requires:       python2-packaging
Requires:       python2-psutil
Requires:       python2-intervaltree
Requires:       python2-unicorn

%description -n python2-%{srcname}
Pwntools is a CTF framework and exploit development library. Written
in Python, it is designed for rapid prototyping and development, and
intended to make exploit writing as simple as possible.

# Waiting on pwntools to support sphinx 1.7.
# %package doc
# Summary:        pwntools documentation
#
# %description doc
# Documentation for pwntools.

%prep
%autosetup -n %{srcname}-%{version} -p1

%build
%py2_build
# Waiting on pwntools to support sphinx 1.7.
# # Generate html documentation.
# PYTHONPATH=${PWD} sphinx-build-2 docs/source html
# # Remove the sphinx-build leftovers.
# rm -rf html/.{doctrees,buildinfo}

%install
%py2_install
rm -rf %{buildroot}%{python2_sitelib}/CHANGELOG.md
rm -rf %{buildroot}%{python2_sitelib}/CONTRIBUTING.md
rm -rf %{buildroot}%{python2_sitelib}/LICENSE-pwntools.txt
rm -rf %{buildroot}%{python2_sitelib}/README.md
rm -rf %{buildroot}%{python2_sitelib}/TESTING.md
rm -rf %{buildroot}%{python2_sitelib}/requirements.txt

%files -n python2-%{srcname}
%doc CHANGELOG.md CONTRIBUTING.md README.md TESTING.md requirements.txt
%license LICENSE-pwntools.txt
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%{python2_sitelib}/pwn
%{python2_sitelib}/pwnlib
%{_bindir}/*

# Waiting on pwntools to support sphinx 1.7.
# %files doc
# %doc html
# %license LICENSE-pwntools.txt

%changelog
* Mon Oct 22 2018 W. Michael Petullo <mike@flyn.org> - 3.12.1-1
- New upstream version
- Drop python2-pypandoc requirement

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 16 2018 W. Michael Petullo <mike@flyn.org> - 3.12.0-1
- Initial package
